require 'open3'

module HtmlUglifier

	class Compressor
		
		COMPRESSOR = File.join(File.dirname(__FILE__), '..', 'vendor', 'htmlcompressor*.jar')

		def initialize(options = '')
			@options = options
		end

		def compress(html)
			Open3.popen2("java -jar #{path COMPRESSOR} --type html #{@options}") do |stdin, stdout|
				stdin.write(html)
				stdin.close_write
				stdout.read
			end
		end

		def compress_file(input_file, output_file)
			minified_html = `java -jar #{path COMPRESSOR} --type html #{@options} #{path input_file}`
			File.open(output_file, 'w') { |f| f.write(minified_html) }
		end

		private

		def path(path)
			path.gsub(' ', '\ ')
		end
	end
end
